Commit 83ef8a87 authored by Georges Racinet's avatar Georges Racinet 🦑

Heptapod CI: avoid using separate PIP_BIN constant

It could be inconsistent with INTERPRETER. This is
precisely what `$INTERPRETER -m pip` is supposed to solve.

--HG--
branch : heptapod-stable
parent d81d863ac0fb
......@@ -16,7 +16,6 @@ import sys
INTERPRETER = 'python3.8'
HG_BIN = '/usr/local/bin/hg'
PIP_BIN = 'pip3.8'
RELEASE_BRANCH_RX = re.compile(r'heptapod-\d+-\d+')
......@@ -60,7 +59,7 @@ if CI_TAG or RELEASE_BRANCH_RX.match(CI_BRANCH):
print("*** ATTENTION Pipeline running for a tag or a release branch ***")
print("*** ==> installing the fixed `python/requirements.txt` ***")
# just install the fixed deps, that's what is meant
subprocess.check_call((PIP_BIN, 'install', '--upgrade',
subprocess.check_call((INTEPRETER, '-m', 'pip', 'install', '--upgrade',
'-r', 'python/requirements.txt'))
hepta_mod = os.fsdecode(
subprocess.check_output(
......@@ -104,7 +103,7 @@ for slug, target in PYTHON_COMPONENTS.items():
print("Current revision for %s:" % target)
subprocess.check_call(HG_CMD + ('-R', target, 'log', '-r', '.'))
pip_cmd = [PIP_BIN, 'install', '--upgrade']
pip_cmd = [INTERPRETER, '-m', 'pip', 'install', '--upgrade']
for target in PYTHON_COMPONENTS.values():
pip_cmd.extend(('-e', target))
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment